* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    max-height: 100vh;
    max-width: 100vw;
}

ul {
    list-style: none;
}

.completed {
    text-decoration: line-through;
}

.header {
    width: 100vw;
    height: 8vh;
    background-color: #000;
}

.nav {
    display: flex;
    justify-content: center;
    width: inherit;
    height: inherit;
}

.list {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 50%;
    height: inherit;
}

.list__link {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
}

.list__link:visited {
    color: #fff;
}

.main {
    height: 92vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.form {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
    width: 50%;
}

.submit {
    margin-top: 5px;
    height: 30px;
    border: none;
    outline: none;
    cursor: pointer;
    background-color: green;
    color: #fff;
}

label {
    font-size: 20px;
}

input {
    height: 20px;
    padding: 5px 10px;
}

.wrap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 500px;
    height: 200px;
}

.delete-link {
    padding: 8px 4px;
    background-color: red;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
}

.delete-link:visited {
    color: #fff;
}

.delete-link:hover {
    background-color: darkred;
}

.wrap * {
    margin-top: 10px;
}

.notes {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
}

.notes__list {
    margin-top: 20px;
}

.edit-btn,
.delete-btn {
    outline: none;
    border: none;
    border-radius: 5px;
    padding: 5px;
    margin-left: 2px;
    color: #fff;
    cursor: pointer;
}

.delete-btn {
    background-color: red;
}

.edit-btn {
    background-color: blue;
}

.note-text {
    cursor: pointer;
}

.username__name,
.created__date {
    font-weight: bold;
}

.create {
    color: #fff;
    outline: none;
    border: none;
    background-color: blue;
    padding: 8px 5px;
    cursor: pointer;
}